-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループ
-- ----------------------------------------------------------------
CREATE TABLE TM_CATALOG_AB_BILLGROUP (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    Name                            VARCHAR(255) NOT NULL ,
    bill_group_code                 VARCHAR(20) NOT NULL ,
    memo                            VARCHAR(511) ,
    SeqNo                           DECIMAL(9) NOT NULL ,
    cretime                         CHAR(14) NOT NULL ,
    updtime                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TM_CATALOG_AB_BILLGROUP IS 'AmazonBusiness連携請求書グループ';

COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.ID IS 'ID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.Name IS '請求書グループ名';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.bill_group_code IS '請求書グループコード';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.memo IS '備考';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.SeqNo IS '表示順';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.cretime IS '登録日時';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP.updtime IS '更新日時';

ALTER TABLE TM_CATALOG_AB_BILLGROUP
    ADD CONSTRAINT TM_CATALOG_AB_BILLGROUP_PK PRIMARY KEY (SID_CORPORATE,ID)
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループ全体
-- ----------------------------------------------------------------
CREATE TABLE TM_CATALOG_AB_BILLGROUP_ALL (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    accesskind                      DECIMAL(2) 
    )
;
COMMENT ON TABLE TM_CATALOG_AB_BILLGROUP_ALL IS 'AmazonBusiness連携請求書グループ全体';

COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ALL.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ALL.ID IS 'ID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ALL.accesskind IS '全体アクセス権';

ALTER TABLE TM_CATALOG_AB_BILLGROUP_ALL
    ADD CONSTRAINT TM_CATALOG_AB_BILLGROUP_ALL_PK PRIMARY KEY (SID_CORPORATE,ID)
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループグループ
-- ----------------------------------------------------------------
CREATE TABLE TM_CATALOG_AB_BILLGROUP_GRP (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    SID_ASSIGN                      DECIMAL(9) NOT NULL ,
    accesskind                      DECIMAL(2) ,
    condition                       CHAR(1) ,
    cretime                         CHAR(14) NOT NULL ,
    updtime                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TM_CATALOG_AB_BILLGROUP_GRP IS 'AmazonBusiness連携請求書グループグループ';

COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.ID IS 'ID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.SID_ASSIGN IS 'グループシステムID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.accesskind IS 'グループアクセス権';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.condition IS 'グループ条件';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.cretime IS '登録日時';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_GRP.updtime IS '更新日時';

ALTER TABLE TM_CATALOG_AB_BILLGROUP_GRP
    ADD CONSTRAINT TM_CATALOG_AB_BILLGROUP_GRP_PK PRIMARY KEY (SID_CORPORATE,ID,SID_ASSIGN)
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループユーザー
-- ----------------------------------------------------------------
CREATE TABLE TM_CATALOG_AB_BILLGROUP_USER (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    SID_ASSIGN                      DECIMAL(9) NOT NULL ,
    accesskind                      DECIMAL(2) ,
    cretime                         CHAR(14) NOT NULL ,
    updtime                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TM_CATALOG_AB_BILLGROUP_USER IS 'AmazonBusiness連携請求書グループユーザー';

COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_USER.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_USER.ID IS 'ID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_USER.SID_ASSIGN IS 'ユーザーシステムID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_USER.accesskind IS 'ユーザーアクセス権';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_USER.cretime IS '登録日時';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_USER.updtime IS '更新日時';

ALTER TABLE TM_CATALOG_AB_BILLGROUP_USER
    ADD CONSTRAINT TM_CATALOG_AB_BILLGROUP_USER_PK PRIMARY KEY (SID_CORPORATE,ID,SID_ASSIGN)
;
-- ----------------------------------------------------------------
-- AmazonBusiness連携請求書グループロール
-- ----------------------------------------------------------------
CREATE TABLE TM_CATALOG_AB_BILLGROUP_ROLE (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    ID                              DECIMAL(9) NOT NULL ,
    SID_ASSIGN                      DECIMAL(9) NOT NULL ,
    accesskind                      DECIMAL(2) ,
    cretime                         CHAR(14) NOT NULL ,
    updtime                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TM_CATALOG_AB_BILLGROUP_ROLE IS 'AmazonBusiness連携請求書グループロール';

COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ROLE.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ROLE.ID IS 'ID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ROLE.SID_ASSIGN IS 'ロールシステムID';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ROLE.accesskind IS 'ロールアクセス権';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ROLE.cretime IS '登録日時';
COMMENT ON COLUMN TM_CATALOG_AB_BILLGROUP_ROLE.updtime IS '更新日時';

ALTER TABLE TM_CATALOG_AB_BILLGROUP_ROLE
    ADD CONSTRAINT TM_CATALOG_AB_BILLGROUP_ROLE_PK PRIMARY KEY (SID_CORPORATE,ID,SID_ASSIGN)
;
